EndpointsEpisodes

Get episode request

GET/v2/episode-requests/{episode_request_id}

Returns one episode request with its participants, status, and available result links.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

episode_request_id*Episode Request Id

Episode request to return.

Match^ereq_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
curl -X GET "https://example.com/v2/episode-requests/string"
{  "id": "string",  "requester_user_id": "string",  "round_id": "string",  "coworld_id": "string",  "coworld_name": "string",  "coworld_version": "string",  "variant_name": "string",  "max_steps": 0,  "job_index": 0,  "status": "pending",  "policy_version_ids": [    "de6640ed-6e83-4f61-9613-b56ec10dde91"  ],  "participants": [    {      "position": 0,      "kind": "policy",      "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446",      "policy_id": "ee9b03e0-6495-427a-85a5-34444d24ae04",      "policy_name": "string",      "version": 0,      "player_id": "string",      "player_name": "string",      "owner_name": "string",      "is_filler": false,      "is_seed": false    }  ],  "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",  "episode_id": "a7b62598-1927-4181-99d5-5d746c0bbcfe",  "replay_url": "string",  "live_url": "string",  "error_type": "string",  "error": "string",  "failed_policy_index": 0,  "failed_agent_index": 0,  "scores": [    {      "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446",      "score": 0    }  ],  "participant_scores": [    {      "position": 0,      "score": 0    }  ],  "created_at": "2019-08-24T14:15:22Z",  "dispatched_at": "2019-08-24T14:15:22Z",  "running_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "cost_usd": 0,  "experience_request_id": "string",  "game_config": {},  "llm_spend_limit_rejections": [    {      "slot": 0,      "rejection_count": 0    }  ]}